import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React, { Component } from 'react';
import PropTypes from 'prop-types';

var NumberKeyboard = function (_Component) {
  _inherits(NumberKeyboard, _Component);

  function NumberKeyboard(props) {
    _classCallCheck(this, NumberKeyboard);

    var _this = _possibleConstructorReturn(this, (NumberKeyboard.__proto__ || Object.getPrototypeOf(NumberKeyboard)).call(this, props));

    _this.onDelete = function () {
      var value = _this.state.value;
      var newValue = parseInt(value / 10, 10);
      _this.onChange(newValue);
    };

    _this.onInput = function (inputValue) {
      var value = _this.state.value;
      var newValue = '' + value + inputValue;
      var numberValue = newValue.replace(/[^\d]*/g, '');
      _this.onChange(numberValue);
    };

    _this.onChange = function (value) {
      var formatValue = value * 1 || 0;
      _this.setState({
        value: formatValue
      });
      var onChange = _this.props.onChange;

      if ('function' === typeof onChange) {
        onChange(formatValue);
      }
    };

    _this.state = {
      value: props.value || 0
    };
    return _this;
  }

  _createClass(NumberKeyboard, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if ('value' in nextProps) {
        this.setState({
          value: nextProps.value * 1 || 0
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var props = this.props;
      var prefixCls = props.prefixCls;
      var className = props.prefixCls;
      if (props.className) {
        className += ' ' + props.className;
      }

      return React.createElement(
        'div',
        { className: className },
        React.createElement(
          'div',
          { className: prefixCls + '-result' },
          this.state.value
        ),
        React.createElement(
          'div',
          { className: prefixCls + '-keyboard' },
          React.createElement(
            'table',
            { className: prefixCls + '-table' },
            React.createElement(
              'tbody',
              null,
              [0, 1, 2, 3].map(function (row) {
                return React.createElement(
                  'tr',
                  { className: prefixCls + '-keyboard-row', key: 'row_' + row },
                  [0, 1, 2].map(function (col) {
                    var value = (row * 3 + col + 1) % 10;
                    if (3 === row && 2 === col) {
                      return null;
                    } else if (3 === row && 1 === col) {
                      return React.createElement(
                        'td',
                        { className: prefixCls + '-keyboard-col ' + prefixCls + '-keyboard-delete-col', onClick: _this2.onDelete, key: 'row_' + row + '_col_' + col, colSpan: 2 },
                        'DELETE'
                      );
                    } else {
                      return React.createElement(
                        'td',
                        { className: prefixCls + '-keyboard-col', key: 'row_' + row + '_col_' + col, onClick: _this2.onInput.bind(_this2, value) },
                        value
                      );
                    }
                  })
                );
              })
            )
          )
        )
      );
    }
  }]);

  return NumberKeyboard;
}(Component);

NumberKeyboard.propTypes = {
  onChange: PropTypes.func,
  value: PropTypes.number
};
NumberKeyboard.defaultProps = {
  prefixCls: 'rc-number-keyboard'
};


export default NumberKeyboard;