'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NumberKeyboard = function (_Component) {
  (0, _inherits3['default'])(NumberKeyboard, _Component);

  function NumberKeyboard(props) {
    (0, _classCallCheck3['default'])(this, NumberKeyboard);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (NumberKeyboard.__proto__ || Object.getPrototypeOf(NumberKeyboard)).call(this, props));

    _this.onDelete = function () {
      var value = _this.state.value;
      var newValue = parseInt(value / 10, 10);
      _this.onChange(newValue);
    };

    _this.onInput = function (inputValue) {
      var value = _this.state.value;
      var newValue = '' + value + inputValue;
      var numberValue = newValue.replace(/[^\d]*/g, '');
      _this.onChange(numberValue);
    };

    _this.onChange = function (value) {
      var formatValue = value * 1 || 0;
      _this.setState({
        value: formatValue
      });
      var onChange = _this.props.onChange;

      if ('function' === typeof onChange) {
        onChange(formatValue);
      }
    };

    _this.state = {
      value: props.value || 0
    };
    return _this;
  }

  (0, _createClass3['default'])(NumberKeyboard, [{
    key: 'componentWillReceiveProps',
    value: function componentWillReceiveProps(nextProps) {
      if ('value' in nextProps) {
        this.setState({
          value: nextProps.value * 1 || 0
        });
      }
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var props = this.props;
      var prefixCls = props.prefixCls;
      var className = props.prefixCls;
      if (props.className) {
        className += ' ' + props.className;
      }

      return _react2['default'].createElement(
        'div',
        { className: className },
        _react2['default'].createElement(
          'div',
          { className: prefixCls + '-result' },
          this.state.value
        ),
        _react2['default'].createElement(
          'div',
          { className: prefixCls + '-keyboard' },
          _react2['default'].createElement(
            'table',
            { className: prefixCls + '-table' },
            _react2['default'].createElement(
              'tbody',
              null,
              [0, 1, 2, 3].map(function (row) {
                return _react2['default'].createElement(
                  'tr',
                  { className: prefixCls + '-keyboard-row', key: 'row_' + row },
                  [0, 1, 2].map(function (col) {
                    var value = (row * 3 + col + 1) % 10;
                    if (3 === row && 2 === col) {
                      return null;
                    } else if (3 === row && 1 === col) {
                      return _react2['default'].createElement(
                        'td',
                        { className: prefixCls + '-keyboard-col ' + prefixCls + '-keyboard-delete-col', onClick: _this2.onDelete, key: 'row_' + row + '_col_' + col, colSpan: 2 },
                        'DELETE'
                      );
                    } else {
                      return _react2['default'].createElement(
                        'td',
                        { className: prefixCls + '-keyboard-col', key: 'row_' + row + '_col_' + col, onClick: _this2.onInput.bind(_this2, value) },
                        value
                      );
                    }
                  })
                );
              })
            )
          )
        )
      );
    }
  }]);
  return NumberKeyboard;
}(_react.Component);

NumberKeyboard.propTypes = {
  onChange: _propTypes2['default'].func,
  value: _propTypes2['default'].number
};
NumberKeyboard.defaultProps = {
  prefixCls: 'rc-number-keyboard'
};
exports['default'] = NumberKeyboard;
module.exports = exports['default'];